#
# spec file for package perl-Class-Autouse
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Autouse
Version:        2.01
Release:        83.1
Summary:        Run-time class loading on first method call
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Class/
Source:         Class-Autouse-%{version}.tar.gz
BuildRequires:  perl-Carp-Assert
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
Class::Autouse allows you to specify a class the will only load when a
method of that class is called. For large classes that might not be
used during the running of a program, such as Date::Manip, this can
save you large amounts of memory, and decrease the script load time.

%prep
%setup -q -n Class-Autouse-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%doc Changes README
%{perl_vendorlib}/Class
%{perl_vendorarch}/auto/Class

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Mon Feb  6 2012 vcizek@suse.com
- update to 2.01
  - Removing the use of "defined @array" deprecated in 5.16
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Jan 19 2011 vcizek@novell.com
- update to 2.00
  - Switching to a production release
  - Upgrading to Module::Install::DSL 1.00
  - Bumping minimum version of Perl to 5.006
  - Fixing indenting, style and layout issues.
  - Added debugging entries to all the new code.
  - Removed on use of _load_ancestors that was not needed
  - Updating copyright a couple of times :/
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Dec 14 2007 anicka@suse.cz
- update to 1.29
  * Debugging change in 1.25 regressed an undocumented 5.6-related
    bug first fixed in 1.20.
  * Expands the can hook to also hook isa
  * Added t/05_base.t to try and chase down base.pm bug
  * Documenting ->autouse(@classes)
  * Tidying up the POD a little to refer to features
    in an order much more relevant to the reader.
  * Catch and rethrow all error when autoloading during a ->can.
  * Debugging can now only be done at compile time, and thus is
    optimised out. The :debug flag is removed and instead you need
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Jul 29 2005 cthiel@suse.de
- update to version 1.18
* Tue May 31 2005 ro@suse.de
- created package, version 1.17
